package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.ResourceAudit;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface ResourceAuditProvider extends SuperProvider {

    default BocloudResult<List<ResourceAudit>> listByDate(String date) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult killSession(String id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult getById(String id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult getTuiRoute(String id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult getFileRoute(String sessId, String devPath) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult downloadGui(String id) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult downloadTui(String route) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult sessionPlayback(String type, String sessId, Integer location) {
        return new BocloudResult(false, "need implement");
    }
}
